<script setup lang="ts">
import { parse } from "papaparse";
const props = defineProps<{
  result: string;
}>();
const filter = ref("");
const result = computed(() =>
  parse<{ [keys in string]: any }>(props.result, {
    header: true,
    skipEmptyLines: true,
  }),
);
const content = computed(() => result.value.data);
const header = computed(() =>
  result.value.meta.fields?.map((item) => ({
    key: item,
    title: item,
  })),
);
</script>

<template>
  <v-row>
    <v-col class="d-flex justify-end">
      <v-text-field
        v-model="filter"
        label="Filter Results"
        density="comfortable"
        hide-details
        style="max-width: 320px"
      ></v-text-field>
    </v-col>
    <v-col cols="12">
      <v-data-table :headers="header" :items="content" :search="filter">
      </v-data-table>
    </v-col>
    <v-col cols="12 d-flex justify-end">
      <TextDownloader
        :text="props.result"
        filename="result.xlsx"
        btn-variant="elevated"
        filetype="xlsx"
      />
    </v-col>
  </v-row>
</template>
